View Issue Details

IDProjectCategoryView StatusLast Update
0017812MediaMonkey 5Install/Configpublic2021-05-27 01:30
ReporterLudek Assigned To 
PriorityimmediateSeverityblockReproducibilityunable to reproduce
Status closedResolutionfixed 
Product Version5.0.1 
Target Version5.0.1Fixed in Version5.0.1 
Summary0017812: MM fails to run for some users (after Chromium update to 90)
DescriptionIt seems that with chromium update to version 90 there are users/environments for which this build fails to run.

User 'allvodi' here: https://www.mediamonkey.com/forum/viewtopic.php?f=30&t=98923
And also in [Ticket # 1359]

The same issue is experiancing user from [Ticket # 1367] -- 2401 fails to start on one of his PCs.

Additional Informationhttps://www.mediamonkey.com/forum/viewtopic.php?f=30&t=98992
TagsNo tags attached.
Fixed in build2403

Relationships

related to 0014592 closedpetr Upgrade to the latest Chromium 

Activities

Ludek

2021-05-03 20:50

developer   ~0063038

Last edited: 2021-05-03 22:31

View 5 revisions

Based on debug logs the last lines in the render process (R) are:

00000134 0.76225519 [10904] MM5 [444](R) ********** OnBrowserCreated 1
00000135 0.76233131 [10904] MM5 [444](R) initializeLocals
00000136 0.76246810 [10904] MM5 [444](R) initializeLocals - initializing
00000137 0.76257628 [10904] MM5 [444](R) initializeLocals - used language en

BUT it does not reach 'MM5 [444](R) ********** OnContextCreated file:///mainwindow.html (1)' that appears in case of successful start for me

This is common for both users (tickets 1359 and 1367)

Ludek

2021-05-05 16:42

developer   ~0063061

User from ticket 1367 console log:

[0505/101615.561:ERROR:gpu_channel_manager.cc(767)] ContextResult::kFatalFailure: Failed to create shared context for virtualization.
[0505/101615.561:ERROR:shared_image_stub.cc(470)] SharedImageStub: unable to create context
[0505/101615.561:ERROR:gpu_channel.cc(449)] GpuChannel: Failed to create SharedImageStub

Ludek

2021-05-06 19:15

developer   ~0063080

Possibly related, user is saying that latest MM5 fails to run in Virtual Machine (Hyper-V): https://www.mediamonkey.com/forum/viewtopic.php?f=30&t=98974

petr

2021-05-11 19:10

developer   ~0063136

Fixed

peke

2021-05-13 01:27

developer   ~0063169

Verified 2404

It starts normally close after user confirmation.

peke

2021-05-27 01:30

developer   ~0063536

Re verified 2408

No new fails reported in recent builds.